View Issue Details

IDProjectCategoryView StatusLast Update
0035252FPCFCLpublic2019-03-27 07:13
ReporterLacaKAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.4Product Build 
Target Version3.2.0Fixed in Version3.3.1 
Summary0035252: fcl-pdf: Specifying both options "poNoEmbeddedFonts" and "poSubsetFont" generates wrong PDF file
DescriptionProbably specify both options together is inappropriate if they are mutualy exclusive, but I think that it should be handled and probably poNoEmbeddedFonts should take precedence.
Steps To ReproduceUse program from 0035251 and set:
PDF.Options := [poPageOriginAtTop, poNoEmbeddedFonts,poSubsetFont, poCompressFonts, poCompressImages];

Generated test.pdf when opened shows mess.
Tagsfcl-pdf, fpPDF
Fixed in Revision41798
FPCOldBugId0
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2019-03-26 22:32

administrator   ~0115068

If NoEmbeddedFonts is specified, poSubsetFont is removed.

Issue History

Date Modified Username Field Change
2019-03-20 12:32 LacaK New Issue
2019-03-20 12:33 LacaK Tag Attached: fcl-pdf
2019-03-20 12:33 LacaK Tag Attached: fpPDF
2019-03-20 13:06 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-03-20 13:06 Michael Van Canneyt Status new => assigned
2019-03-26 22:32 Michael Van Canneyt Fixed in Revision => 41798
2019-03-26 22:32 Michael Van Canneyt Note Added: 0115068
2019-03-26 22:32 Michael Van Canneyt Status assigned => resolved
2019-03-26 22:32 Michael Van Canneyt Fixed in Version => 3.3.1
2019-03-26 22:32 Michael Van Canneyt Resolution open => fixed
2019-03-26 22:32 Michael Van Canneyt Target Version => 3.2.0
2019-03-27 07:13 LacaK Status resolved => closed